using System.Linq;
using System.Text.RegularExpressions;

namespace InABox.Core
{
    public class NotesEditor : BaseEditor
    {
        public bool AlwaysEnabled { get; set; }

        protected override BaseEditor DoClone()
        {
            return new NotesEditor { AlwaysEnabled = AlwaysEnabled };
        }

        public static string FormatNotes(string[] notes)
        {
            return string.Join("\n===================================\n", notes);
        }
    }
}